Main Page Widgets glibmm Namespaces Book

# Glib::Glib::Value< long > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Glib::Value< long >:

[legend]

List of all members.

## Public Types

typedef long | CppType
typedef glong | CType

## Public Member Functions

void | set (long data)
long | get () const

## Static Public Member Functions

static GType | value_type () G_GNUC_CONST

### template<>
class Glib::Glib::Value< long >

## Member Typedef Documentation

typedef long Glib::Glib::Value<long>::CppType

typedef glong Glib::Glib::Value<long>::CType

## Member Function Documentation

static GType Glib::Glib::Value< long >::value_type | ( |  | ) | `[static]`

void Glib::Glib::Value< long >::set | ( | long | data | ) |

long Glib::Glib::Value< long >::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- value_basictypes.h